extends Action
class_name ActionWithTarget

func init(character: Character): pass
func run(character: Character) -> int: 
	var target = Global.character_mgr.get_character(character.get_status("target"))
	if not target:
		return FAILURE
	return execute(character,target)

func execute(character: Character,target: Character) -> int : return FAILURE
